call spQuery_Lista_Tipo_Participante(NULL,NULL);

DROP PROCEDURE IF EXISTS spQuery_Lista_Tipo_Participante;
CREATE PROCEDURE spQuery_Lista_Tipo_Participante(	
	varCodigo int,
  varNombre varchar(10)
)
BEGIN
  DECLARE varCadCod, varCadNom text default '';
  if ifnull(varCodigo,'')<>'' then
    set varCadCod = CONCAT(" and P.id_tipo_participante = ", varCodigo, " ");
  end if;
  
  if ifnull(varNombre,'')<>'' then
    set varCadNom = CONCAT(" and P.nombre LIKE '%", varNombre, "%' ");
  end if;
  
  SET @sql = CONCAT("select P.id_tipo_participante, P.nombre ",
                    "from _srh_tipo_participante P ",
                    "where P._estado = 'A' ",
                    varCadCod, varCadNom,
                    "order by P.id_tipo_participante; ");
  PREPARE s1 FROM @sql;
  EXECUTE s1;
  DEALLOCATE PREPARE s1;
END;


